Bug 520301 - kernel: ipv4: make ip_append_data() handle NULL routing table [mrg-1]
Summary: kernel: ipv4: make ip_append_data() handle NULL routing table [mrg-1]
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: realtime-kernel
Version: Development
Hardware: All
OS: Linux
high
high
Target Milestone: ---
: ---
Assignee: John Kacur
QA Contact: David Sommerseth
URL:
Whiteboard:
Depends On: 520297
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-30 11:24 UTC by Eugene Teo (Security Response)
Modified: 2016-05-22 23:28 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 520297
Environment:
Last Closed: 2010-09-15 15:51:29 UTC


Attachments (Terms of Use)

Description Eugene Teo (Security Response) 2009-08-30 11:24:43 UTC
+++ This bug was initially created as a clone of Bug #520297 +++

Description of problem:
Add a check in ip_append_data() for NULL *rtp to prevent future bugs in callers from being exploitable.

http://git.kernel.org/linus/788d908f2879a17e5f80924f3da2e23f1034482d

Comment 2 John Kacur 2010-09-15 15:51:29 UTC
git describe --contains 788d908f2879a17e5f80924f3da2e23f1034482d
v2.6.31-rc8~7


Note You need to log in before you can comment on or make changes to this bug.